## glusterfs 10.1

=== contrib/umountd/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# contrib/umountd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
sbin_PROGRAMS = umountd$(EXEEXT)
subdir = contrib/umountd
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/site.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_umountd_OBJECTS = umountd-umountd.$(OBJEXT)
umountd_OBJECTS = $(am_umountd_OBJECTS)
am__DEPENDENCIES_1 =
umountd_DEPENDENCIES =  \
	$(top_builddir)/libglusterfs/src/libglusterfs.la \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
umountd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(umountd_CFLAGS) \
	$(CFLAGS) $(umountd_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(umountd_SOURCES)
DIST_SOURCES = $(umountd_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/root/workspace/release-new/missing aclocal-1.13
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = 
AM_MAKEFLAGS = 
AR = ar
ARGP_LDADD = 
AUTOCONF = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/root/workspace/release-new/missing automake-1.13
AWK = gawk
BUILD_GNFS = yes
BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python3.6/site-packages
BUILD_PYTHON_SITE_PACKAGES_EXPANDED = NONE/lib/python3.6/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EVENTS_ENABLED = 1
EVENTS_SUBDIR = events
EXEEXT = 
FGREP = /usr/bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.10.1
GF_CFLAGS =  -fno-builtin-malloc -fno-builtin-calloc -fno-builtin-realloc -fno-builtin-free -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration -DBUILD_GNFS
GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS = -ltcmalloc_minimal  -rdynamic
GF_NO_UNDEFINED = -Wl,--no-undefined
GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym $(UUID_LIBS) $(GF_NO_UNDEFINED) $(TIRPC_LIBS)
GF_XLATOR_LDFLAGS = -avoid-version $(UUID_LIBS) $(GF_NO_UNDEFINED) $(TIRPC_LIBS)
GF_XLATOR_MGNT_LIBADD = 
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /usr/bin/grep
HAVE_ATOMIC_BUILTINS = 
HAVE_BACKTRACE = 
HAVE_FUTIMENS = 
HAVE_FUTIMES = 
HAVE_LINKAT = 
HAVE_MALLINFO = 
HAVE_MALLINFO2 = 
HAVE_STRNLEN = 
HAVE_SYNC_BUILTINS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -ldl -lpthread -lcrypto -ltcmalloc_minimal 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBURING = 
LIB_DL = -ldl
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jenkins/root/workspace/release-new/missing makeinfo
MANIFEST_TOOL = :
MATH_LIB = -lm
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 10.1
PACKAGE_TARNAME = glusterfs
PACKAGE_URL = https://github.com/gluster/glusterfs.git
PACKAGE_VERSION = 10.1
PATH_SEPARATOR = :
PKGCONFIG_UUID = uuid
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python3
PYTHON_CFLAGS = -isystem /usr/include/python3.6m
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = -lpython3.6m  
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 3.6
RANLIB = ranlib
READLINE_CFLAGS = 
READLINE_LIBS = 
RLLIBS = 
RPCBIND_SERVICE = rpcbind.service
RPCGEN = yes
SBIN_DIR = /usr/local/sbin
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
SSL_CERT_PATH = /etc/pki/tls
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
SYSCONF_DIR = /usr/local/etc
TIRPC_CFLAGS = 
TIRPC_LIBS = 
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_EC_DYNAMIC_AVX = 
USE_EC_DYNAMIC_NEON = 
USE_EC_DYNAMIC_SSE = 
USE_EC_DYNAMIC_X64 = 
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I/usr/include/uuid  
UUID_LIBS = -luuid  
VERSION = 10.1
XML_CFLAGS = -I/usr/include/libxml2  
XML_LIBS = -lxml2  
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz  
abs_builddir = /home/jenkins/root/workspace/release-new/contrib/umountd
abs_srcdir = /home/jenkins/root/workspace/release-new/contrib/umountd
abs_top_builddir = /home/jenkins/root/workspace/release-new
abs_top_srcdir = /home/jenkins/root/workspace/release-new
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
initdir = /etc/init.d
install_sh = ${SHELL} /home/jenkins/root/workspace/release-new/install-sh
launchddir = /Library/LaunchDaemons
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man

=== debian/changelog ===
glusterfs (10.1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch from Andreas Hasenack to fix the default file location.
    Closes: #1003743

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Jan 2022 12:02:07 +0100

glusterfs (10.0-2) unstable; urgency=medium

  * Acknowledge NMUs, thanks for taking care of gusterfs!
  * Add DEP8 tests from Andreas Hasenack.
    Closes: #1001905
  * Remove init script wording from glusterfs-server long description.
    Closes: #1002007
  * Add patch 03-systemd-environment-file and install /etc/default/glusterd
    environment configuration for the glusterd service.
    Closes: #1002799

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Dec 2021 09:26:09 +0100

glusterfs (10.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Set -DUATOMIC_NO_LINK_ERROR on armel, armhf and mipsel
    (Closes: #1000215) (LP: #1951408)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Nov 2021 19:20:47 +0100

=== debian/control ===
Source: glusterfs
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 libfuse-dev <!nocheck>,
 libibverbs-dev <!nocheck>,
 libdb-dev <!nocheck>,
 librdmacm-dev <!nocheck>,
 libaio-dev,
 libacl1-dev,
 libsqlite3-dev <!nocheck>,
 libtirpc-dev (>= 1.1.4),
 liburcu-dev,
 uuid-dev,
 attr <!nocheck>,
 flex,
 bison,
 firewalld,
 libreadline-dev,
 libgoogle-perftools-dev,
 libncurses5-dev,
 libglib2.0-dev <!nocheck>,
 libssl-dev,
 libxml2-dev,
 pkg-config,
 dh-exec,
 dh-python,
 dh-sequence-python3,
 python3-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.gluster.org/

Package: glusterfs-client
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 fuse,
 glusterfs-common (>= ${binary:Version})
Description: clustered file-system (client package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides the FUSE based GlusterFS tool.

Package: glusterfs-cli
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${shlibs:Depends}
Breaks: glusterfs-server (<< 9.3-2)
Replaces: glusterfs-server (<< 9.3-2)
Description: clustered file-system (cli package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides the gluster command line tool.

Package: glusterfs-server
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 lsb-base (>= 3.0-6),
 glusterfs-common (>= ${binary:Version}),
 glusterfs-client (>= ${binary:Version})
Recommends: nfs-common,
 glusterfs-cli
Description: clustered file-system (server package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package installs the gluster server binaries, scripts and configuration
 files to turn GlusterFS into a fully fledged file server.

Package: glusterfs-common
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 python3-prettytable,
 python3-requests,
 python3-jwt,
 attr,
 xfsprogs,
 e2fsprogs,
 psmisc
Breaks: glusterfs-server (<< 3.4.0~qa5)
Replaces: glusterfs-server (<< 3.4.0~qa5)
Description: GlusterFS common libraries and translator modules
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes libglusterfs and glusterfs translator modules
 common to both GlusterFS server and client framework.

Package: libglusterfs0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libglusterfs.

Package: libglusterd0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GlusterFS glusterd shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libglusterd.

Package: libgfapi0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS gfapi shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libgfapi.

Package: libgfchangelog0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS gfchangelog shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libgfchangelog.

Package: libgfrpc0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS libgfrpc shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libgfrpc.

Package: libgfxdr0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS libgfxdr shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libgfxdr.

Package: libglusterfs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgfapi0 (= ${binary:Version}),
 libgfchangelog0 (= ${binary:Version}),
 libgfrpc0 (= ${binary:Version}),
 libgfxdr0 (= ${binary:Version}),
 libglusterfs0 (= ${binary:Version}),
 libglusterd0 (= ${binary:Version}),
 libacl1-dev
Replaces: gluster-common (<< 5.2-2)
Description: Development files for GlusterFS libraries
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Fix build on these arches (LP: #1951408) (#1000215)
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mipsel))
export DEB_CPPFLAGS_MAINT_APPEND = -DUATOMIC_NO_LINK_ERROR
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	--disable-linux-io_uring --enable-firewalld --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)

# Disable tcmalloc due to problems with dlopen (LP: #1950777 #1951126 Debian: #999700 #999619)
DEB_CONFIGURE_EXTRA_FLAGS += --without-tcmalloc

%:
	dh $@ --with python3

override_dh_install:
	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfiles
	cp extras/systemd/glusterd.service $(CURDIR)/debian/glusterfs-server.glusterd.service
	cp extras/systemd/glustereventsd.service $(CURDIR)/debian/glusterfs-server.glustereventsd.service
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/error-gen.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/sink.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/delay-gen.so
	find debian/tmp/usr/lib -type f -name \*.la -delete
	dh_install
	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md
	rm -rf $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gfevents/__pycache__/

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_installsystemd:
	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glusterd
	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glustereventsd

override_dh_python3:
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/$(DEB_VERSION_UPSTREAM)/xlator/features/glupy/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/glusterfind/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/events/
	dh_python3

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts -VUpstream-Version

=== debian/tests/control ===
Tests: create-volume
Restrictions: allow-stderr, isolation-machine, breaks-testbed, needs-root
Depends: @, xfsprogs

=== debian/watch ===
version=4
https://download.gluster.org/pub/gluster/glusterfs/LATEST/glusterfs-([\d.]+)\.tar\.gz

## glusterfs 10.2

=== debian/changelog ===
glusterfs (10.2-1ubuntu0.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: notify stack-based buffer over-read
    - debian/patches/09-CVE-2023-26253.diff: access the graph->id only
      while an event is associated specifically to fuse xlator in
      xlators/mount/fuse/src/fuse-bridge.c.
    - CVE-2023-26253

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Jun 2023 11:13:25 -0400

glusterfs (10.2-1) unstable; urgency=medium

  * New upstrean release.
    - Add openssl build dependency.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2022 10:17:39 +0200

glusterfs (10.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Build with ATOMIC_NO_LINK_ERROR on m68k, sh4 and hppa. Thanks to John Paul
    Adrian Glaubitz.
    Closes: #1011090, #1011094, #1011102
  * Do not build with libgoogle-perftools-dev on unsupported targets. Thanks
    again to John Paul Adrian Glaubitz.
    Closes: #1011086

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 May 2022 14:11:27 +0200

glusterfs (10.1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Adjust lintian override to match again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 Apr 2022 14:27:28 +0200

glusterfs (10.1-2) experimental; urgency=medium

  * Experimentaly drop usage of fusermount-glusterfs.
    Closes: #1004860

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 13 Apr 2022 16:20:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: glusterfs
 Section: admin
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper-compat (= 13),
- libfuse-dev <!nocheck>,
  libibverbs-dev <!nocheck>,
  libdb-dev <!nocheck>,
  librdmacm-dev <!nocheck>,
@@ -18,17 +18,18 @@
  bison,
  firewalld,
  libreadline-dev,
- libgoogle-perftools-dev,
+ libgoogle-perftools-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x],
  libncurses5-dev,
  libglib2.0-dev <!nocheck>,
  libssl-dev,
+ openssl,
  libxml2-dev,
  pkg-config,
  dh-exec,
  dh-python,
  dh-sequence-python3,
  python3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.gluster.org/
 
@@ -38,7 +39,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
- fuse,
  glusterfs-common (>= ${binary:Version})
 Description: clustered file-system (client package)
  GlusterFS is a clustered file-system capable of scaling to several
@@ -49,7 +49,7 @@
  called Translators from GNU Hurd kernel. Much of the code in GlusterFS
  is in userspace and easily manageable.
  .
- This package provides the FUSE based GlusterFS tool.
+ This package provides the GlusterFS client tool.
 
 Package: glusterfs-cli
 Architecture: any

## glusterfs 10.3

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -209,7 +209,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.10.1
+GFAPI_VERSION = 7.10.3
 GF_CFLAGS =  -fno-builtin-malloc -fno-builtin-calloc -fno-builtin-realloc -fno-builtin-free -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration -DBUILD_GNFS
 GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
 GF_DISTRIBUTION = Redhat
@@ -275,10 +275,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 10.1
+PACKAGE_STRING = glusterfs 10.3
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 10.1
+PACKAGE_VERSION = 10.3
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -327,7 +327,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 10.1
+VERSION = 10.3
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y

=== debian/changelog ===
glusterfs (10.3-5) unstable; urgency=high

  * Add upstream patch 09-CVE-2023-26253: Resolve asan bug in during receive
    event notification, which results in a stack-buffer-overflow. This
    addresses CVE-2023-26253.
    Closes: #1031731

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 May 2023 10:48:08 +0200

glusterfs (10.3-4) unstable; urgency=medium

  * Add adduser dependency on glusterfs-common.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 Jan 2023 15:56:57 +0100

glusterfs (10.3-3) unstable; urgency=medium

  * debian/tests/create-volume: Bump volume size to 500MB to accommodate
    mkfs.xfs lower limit in xfsprogs 6.0.
    Closes: #1025467
  * Bump Standards-Version to 4.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Jan 2023 17:08:07 +0100

glusterfs (10.3-2) unstable; urgency=medium

  * Upgrade glusterfs-cli as dependency at the glusterfs-server package.
    Closes: #1023622

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 22 Nov 2022 15:17:48 +0100

glusterfs (10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Sep 2022 09:42:23 +0200

glusterfs (10.2-2) unstable; urgency=medium

  * Adjust renamed lintian tag name in override.
  * Add patch 08-bash-term-in-posix-shell to fix two bashishms.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glusterfs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper-compat (= 13),
  libibverbs-dev <!nocheck>,
  libdb-dev <!nocheck>,
@@ -29,7 +28,7 @@
  dh-python,
  dh-sequence-python3,
  python3-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.gluster.org/
 
@@ -76,10 +75,10 @@
  ${shlibs:Depends},
  ${python3:Depends},
  lsb-base (>= 3.0-6),
+ glusterfs-cli (>= ${binary:Version}),
  glusterfs-common (>= ${binary:Version}),
  glusterfs-client (>= ${binary:Version})
-Recommends: nfs-common,
- glusterfs-cli
+Recommends: nfs-common
 Description: clustered file-system (server package)
  GlusterFS is a clustered file-system capable of scaling to several
  peta-bytes. It aggregates various storage bricks over Infiniband RDMA
@@ -103,6 +102,7 @@
  python3-requests,
  python3-jwt,
  attr,
+ adduser,
  xfsprogs,
  e2fsprogs,
  psmisc

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 # Fix build on these arches (LP: #1951408) (#1000215)
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mipsel))
+ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mipsel m68k sh4 hppa))
 export DEB_CPPFLAGS_MAINT_APPEND = -DUATOMIC_NO_LINK_ERROR
 endif

## glusterfs 10.4

=== debian/changelog ===
glusterfs (10.4-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Apr 2023 12:11:47 +0200

## glusterfs 11.0

=== debian/changelog ===
glusterfs (11.0-3) unstable; urgency=high

  * d/t/control, d/t/smoke: Add simple superficial smoke test.
  * Add patch 09-fix-startup-crash to fix a glibc assertion error on startup of
    glusterd. Thanks to Andreas Hasenack!
    Closes: #1050021

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 06 Sep 2023 09:29:12 +0200

glusterfs (11.0-2) unstable; urgency=medium

  * Remove pycache folder in dh_clean.
    Closes: #1044927
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Aug 2023 13:33:18 +0200

glusterfs (11.0-1) experimental; urgency=medium

  * New upstream release.
    - libglusterd0 has been dropped.
    - Remove patch 06-spelling-error.
    - Remove patch 07-spelling-error.
  * Install bash completion for glusterfs-cli package.
    - Also add patch 05-remove-hashbang for it.
  * Add 10.3-5 changelog.
  * GlusterFS works only on 64-bit architectures. So we build glusterfs now
    only on the following architectures: amd64, arm64, ppc64el, ppc64, riscv64,
    mips64el, s390x, ia64 and sparc64.
  * Install gluster-ta-volume and glusterfssharedstorage service.
  * Remove dependency on obsolete package lsb-base.
  * Switch from obsolete dependency libncurses5-dev to libncurses-dev.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 15 Jul 2023 12:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  firewalld,
  libreadline-dev,
  libgoogle-perftools-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x],
- libncurses5-dev,
+ libncurses-dev,
  libglib2.0-dev <!nocheck>,
  libssl-dev,
  openssl,
@@ -33,7 +33,7 @@
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${shlibs:Depends},
@@ -51,7 +51,7 @@
  This package provides the GlusterFS client tool.
 
 Package: glusterfs-cli
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${shlibs:Depends}
@@ -69,12 +69,11 @@
  This package provides the gluster command line tool.
 
 Package: glusterfs-server
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
- lsb-base (>= 3.0-6),
  glusterfs-cli (>= ${binary:Version}),
  glusterfs-common (>= ${binary:Version}),
  glusterfs-client (>= ${binary:Version})
@@ -92,7 +91,7 @@
  files to turn GlusterFS into a fully fledged file server.
 
 Package: glusterfs-common
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
@@ -121,7 +120,7 @@
  common to both GlusterFS server and client framework.
 
 Package: libglusterfs0
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -141,27 +140,8 @@
  .
  This package contains libglusterfs.
 
-Package: libglusterd0
-Architecture: any
-Multi-Arch: same
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: GlusterFS glusterd shared library
- GlusterFS is a clustered file-system capable of scaling to several
- petabytes. It aggregates various storage bricks over Infiniband RDMA
- or TCP/IP interconnect into one large parallel network file
- system. GlusterFS is one of the most sophisticated file system in
- terms of features and extensibility. It borrows a powerful concept
- called Translators from GNU Hurd kernel. Much of the code in GlusterFS
- is in userspace and easily manageable.
- .
- This package contains libglusterd.
-
 Package: libgfapi0
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -182,7 +162,7 @@
  This package contains libgfapi.
 
 Package: libgfchangelog0
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -203,7 +183,7 @@
  This package contains libgfchangelog.
 
 Package: libgfrpc0
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -224,7 +204,7 @@
  This package contains libgfrpc.
 
 Package: libgfxdr0
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -246,14 +226,13 @@
 
 Package: libglusterfs-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 ppc64el ppc64 riscv64 mips64el s390x ia64 sparc64
 Depends: ${misc:Depends},
  libgfapi0 (= ${binary:Version}),
  libgfchangelog0 (= ${binary:Version}),
  libgfrpc0 (= ${binary:Version}),
  libgfxdr0 (= ${binary:Version}),
  libglusterfs0 (= ${binary:Version}),
- libglusterd0 (= ${binary:Version}),
  libacl1-dev
 Replaces: gluster-common (<< 5.2-2)
 Description: Development files for GlusterFS libraries
